Bug 837543 - [Indic][iok-i18n] - Application crashes, when opening .mim files from iok menu
[Indic][iok-i18n] - Application crashes, when opening .mim files from iok menu
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2012-07-04 04:08 EDT by Satyabrata Maitra
Modified: 2012-07-19 04:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-19 04:50:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2012-07-04 04:08:12 EDT
Description of problem:
When try to open any .mim file through iok menu "Keymap -> Open", the application is crashing immediately. I found 2 methods when the result is the same - a Crash.

Version-Release number of selected component (if applicable):
Fedora 17 release.

How reproducible:

Steps to Reproduce:
Method I:

1. Open iok
2. In the menu, click on Keymap -> Open
3. Select any inscript or inscript2 (tried with bengali-inscript2) .mim file
4. And Click on Open.
5. Again Click on Keymap -> Open.
6. Observe the result

Method II:
1. Run 'iok -a', select xkb layout (like "xkb-Hindi Wx keymap")
2. mkdir ~/.m17n.d/
3. Copy /usr/share/m17n/hi-phonetic.mim to ~/.m17n.d/hi-phonetic2.mim
4. Run iok -a again
5. In the menu, click on Keymap -> Open
6. Find and select the hi-phonetic.mim
7. Click open.
8. Observe the result.

Actual results:

Method I :
As soon as user click on Keymap -> Open, 2nd time, the application crashes.
g-t message showing : " GLib (gthread-posix.c): Unexpected error from C library during 'pthread_setspecific' : Invalid argument. Aborting.
[2]+ Aborted (core dumped) iok -a "

Method II :
As soon as user clicks on "Open" after selecting the keymap, application crashes.
g-t message showing : "Not a standard keymap file in standard path"

Expected results:
It should not crash by any means.

Additional info:
Relevant existing bugs from the same component :
https://bugzilla.redhat.com/show_bug.cgi?id=799568 (CLOSED)
https://bugzilla.redhat.com/show_bug.cgi?id=814524 (NEW)
Comment 1 Fedora Update System 2012-07-09 01:59:45 EDT
iok-2.1.3-1.fc17 has been submitted as an update for Fedora 17.
Comment 2 Fedora Update System 2012-07-10 12:26:07 EDT
Package iok-2.1.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iok-2.1.3-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-19 04:50:39 EDT
iok-2.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.